## qt6-httpserver 6.10.2

=== tests/auto/qhttpservermultithreaded/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qhttpservermultithreaded Test:
#####################################################################

qt_internal_add_test(tst_qhttpservermultithreaded
    DEFINES
        QTEST_THROW_ON_FAIL
        QTEST_THROW_ON_SKIP
    SOURCES
        tst_qhttpservermultithreaded.cpp
    LIBRARIES
        Qt::HttpServer Qt::Concurrent Qt::TestPrivate
)

=== debian/changelog ===
qt6-httpserver (6.10.2-4build1) resolute; urgency=medium

  * Rebuild.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Feb 2026 11:22:59 +0000

qt6-httpserver (6.10.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Feb 2026 22:58:44 +0100

qt6-httpserver (6.10.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 09 Feb 2026 19:41:21 +0100

qt6-httpserver (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 15:39:02 +0100

qt6-httpserver (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Fri, 06 Feb 2026 19:27:46 +0100

=== debian/control ===
Source: qt6-httpserver
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.24~),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-websockets-dev (>= 6.10.2~),
               qt6-websockets-private-dev (>= 6.10.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git

Package: libqt6httpserver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6httpserver6 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 HTTP Server - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 HTTP Server headers.

Package: qt6-httpserver-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Description: Qt 6 HTTP Server documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 HTTP Server.

Package: qt6-httpserver-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Description: Qt 6 HTTP Server HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 HTTP Server.

Package: qt6-httpserver-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 HTTP Server examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt HTTP Server submodule.
